<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProductImage extends Model
{

    protected $table = 'product_images';
    protected $fillable = ['image', 'product_id'];


    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/products/') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }

    public function deleteImage()
    {
        @unlink(public_path('images/products/' . $this->attributes['image']));
    }

    public function product()
    {
        return $this->belongsTo(Product::class, 'product_id');
    }
}
