<?php


Route::group(['namespace' => 'Api'], function () {
    Route::post('verified_register', 'UsersController@verified_register');
    Route::post('register_mobile', 'UsersController@register_mobile');
    Route::post('check_code', 'UsersController@check_code');
    Route::post('register', 'UsersController@register');
    Route::post('login', 'UsersController@login');
    Route::post('logout', 'UsersController@logout');
    Route::post('forget_password', 'UsersController@forget_password');
    Route::post('check_forget_code', 'UsersController@check_forget_code');
    Route::post('change_password', 'UsersController@change_password');
    Route::get('categories_parent', 'CategoriesController@categories_parent');
    Route::get('sub_categories/{id}', 'CategoriesController@sub_categories');
    Route::get('additional_type', 'CategoriesController@additional_type');
    Route::get('single_product/{id}', 'ProductsController@single_product');
    Route::get('country_codes', 'DataController@country_codes');
    Route::get('cities/{id?}', 'DataController@cities');
    Route::post('calc_commission', 'DataController@calc_commission');
    Route::get('similar_product/{id_category}/{id_product}', 'ProductsController@similar_product');
    Route::post('search', 'ProductsController@search');
    Route::post('licence', 'DataController@licence');
    Route::post('contact', 'ContactsController@contact');
    Route::get('home_category', 'CategoriesController@home_category');
    Route::post('home_product', 'ProductsController@home_product');
    Route::get('setting', 'DataController@settings');
    Route::get('latest_products', 'ProductsController@latest_products');
    Route::post('black_list', 'UsersController@black_list');
    Route::get('category_products/{id}', 'ProductsController@category_products');
    Route::post('pages/', 'DataController@pages');
    // souqna api
    Route::get('souqna_home/{id?}', 'DataController@home');
    Route::post('advanced_search', 'DataController@advanced_search');
    Route::get('user_profile/{id}', 'UsersController@user_profile');

    Route::group(['middleware' => ['jwt.verify']], function () {
        // routes
        Route::post('update_profile', 'UsersController@update_profile');
        Route::resource('notifications', 'NotificationsController');
        Route::get('delete_notifications', 'NotificationsController@delete_notifications');
// id for product
        Route::get('stop_comment/{id}', 'ProductsController@stop_comment');
        Route::post('spam', 'SpamController@spam');
        Route::post('change_old_password', 'UsersController@change_old_password');
        Route::post('rate_user', 'UsersController@rate_user');
        Route::post('follow', 'UsersController@follow');
        Route::post('add_transfer', 'TransfersController@add_transfer');
        Route::post('add_subscription', 'SubscriptionController@add_subscription');
        Route::get('my_favorite', 'ProductsController@my_favorite');
        Route::post('add_favourite', 'ProductsController@add_favourite');
        Route::post('add_comment', 'ProductsController@add_comment');
        Route::post('product', 'ProductsController@store');
        Route::get('my_product', 'ProductsController@my_product');
        Route::get('check_add_product', 'ProductsController@check_add_products');
        Route::get('delete_product/{id}', 'ProductsController@delete_product');
        Route::get('delete_comment/{id}', 'ProductsController@delete_comment');
        Route::post('check_room', 'ChatController@check_room');
        Route::get('my_rooms', 'ChatController@my_rooms');
        Route::post('message', 'ChatController@store');
    });

});





